## org.apache.aries.subsystem.core.internal
Class ResourceUninstaller

    java.lang.Object
      org.apache.aries.subsystem.core.internal.ResourceUninstaller

Direct Known Subclasses:
  BundleResourceUninstaller, SubsystemResourceUninstaller

    public abstract class ResourceUninstaller

extends Object

Field Summary
`protected BasicSubsystem` `provisionTo`
`protected org.osgi.resource.Resource` `resource`
`protected BasicSubsystem` `subsystem`

Constructor Summary
`ResourceUninstaller(org.osgi.resource.Resource resource, BasicSubsystem subsystem)`

Method Summary
`protected boolean` `isExplicit()`
`protected boolean` `isResourceUninstallable()`
`protected boolean` `isTransitive()`
`static ResourceUninstaller` `newInstance(org.osgi.resource.Resource resource, BasicSubsystem subsystem)`
`protected void` `removeConstituent()`
`protected static void` `removeConstituent(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`protected void` `removeReference()`
`protected static void` `removeReference(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`abstract void` `uninstall()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### provisionTo

    protected final BasicSubsystem provisionTo

### resource

    protected final org.osgi.resource.Resource resource

### subsystem

    protected final BasicSubsystem subsystem

Constructor Detail

### ResourceUninstaller

    public ResourceUninstaller(org.osgi.resource.Resource resource,
                               BasicSubsystem subsystem)

Method Detail

### newInstance

    public static ResourceUninstaller newInstance(org.osgi.resource.Resource resource,
                                                  BasicSubsystem subsystem)

### removeConstituent

    protected static void removeConstituent(BasicSubsystem subsystem,
                                            org.osgi.resource.Resource resource)

### removeReference

    protected static void removeReference(BasicSubsystem subsystem,
                                          org.osgi.resource.Resource resource)

### uninstall

    public abstract void uninstall()

### isExplicit

    protected boolean isExplicit()

### isTransitive

    protected boolean isTransitive()

### isResourceUninstallable

    protected boolean isResourceUninstallable()

### removeConstituent

    protected void removeConstituent()

### removeReference

    protected void removeReference()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.